%define __libtoolize :

Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		librsvg
Version:	2.18.2
Release:	1
License:	LGPL
URL:		http://librsvg.sourceforge.net
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	librsvg enables support for SVG-format scalable graphics.
PreReq:		gtk2+
Requires:	libxml2
Requires:	freetype
Requires:       cairo
Requires:	libpng
Requires:	libcroco
Requires:	libgsf
Requires: 	gnome-vfs
#Requires(post): %{_bindir}/update-gdk-pixbuf-loaders
#Requires(postun): %{_bindir}/update-gdk-pixbuf-loaders
BuildRequires:  libpng-devel
BuildRequires:	gtk2+-devel
BuildRequires:	libxml2-devel
BuildRequires:	freetype-devel
BuildRequires:  cairo-devel
BuildRequires:  libgsf-devel libcroco-devel
BuildRequires:  libcroco
BuildRequires:  libgnomeui
BuildRequires:  libgnomeui-devel
BuildRequires:  libgsf-devel
BuildRequires: 	gnome-vfs-devel
# grr, librsvg does not install api docs if --disable-gtk-doc
BuildRequires:  gtk-doc

%description
An SVG library based on cairo.

%package devel
Summary: 	Libraries and include files for developing with librsvg
Group: 		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk2+-devel
Requires:	libxml2-devel
Requires:	freetype-devel
Requires:       libgsf-devel
Requires:       libcroco-devel
Requires:       pkg-config

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with librsvg.

%post
ldconfig
mkdir -p %_sysconfdir/gtk-2.0
gdk-pixbuf-query-loaders > %_sysconfdir/gtk-2.0/gdk-pixbuf.loaders

%postun
ldconfig
gdk-pixbuf-query-loaders > %_sysconfdir/gtk-2.0/gdk-pixbuf.loaders

%prep
%setup -q -n librsvg-%{version}

%build
%configure --with-svgz \
	--disable-gtk-doc \
	--enable-gtk-theme \
	--enable-gnome-vfs \
	--with-croco \
	
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/gtk-2.0/gdk-pixbuf.loaders
rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/svg-viewer.svg

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README
%{_libdir}/*.so.*
%{_libdir}/gtk-2.0/*/engines/libsvg.so
%{_libdir}/gtk-2.0/*/loaders/svg_loader.so
%{_bindir}/rsvg
%{_bindir}/rsvg-view
%{_bindir}/rsvg-convert
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_includedir}/librsvg-2
%{_libdir}/pkgconfig/librsvg-2.0.pc
%doc %{_datadir}/gtk-doc/html/rsvg
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/gtk-2.0/*/engines/libsvg.a
%{_libdir}/gtk-2.0/*/engines/libsvg.la
%{_libdir}/gtk-2.0/*/loaders/svg_loader.a
%{_libdir}/gtk-2.0/*/loaders/svg_loader.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Oct 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 2.18.1-1
- Version update
* Mon Nov 06 2006 Christian Metzen <metzench@ccux-linux.de> 2.16.1-1
- Version update
* Wed Mar 15 2006 Christian Wasem <wasem@ccux-linux.de> 2.14.2-1
- Update to Version 2.14.2
* Mon Aug 29 2005 Christian Wasem <wasem@ccux-linux.de> 2.11.1-1
- update to Version 2.11.1
* Mon Jul 11 2005 Christian Wasem <wasem@ccux-linux.de> 2.8.5-1
- update to Version 2.9.5
